=== debian/changelog ===
mydumper (0.5.1-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes: 
    - Add 0007-deprecated-glib.patch updating deprecated GLib functions
      that now cause compiler errors. Fixes FTBFS.

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 05 Oct 2012 11:13:48 +0200

mydumper (0.5.1-3) unstable; urgency=low

  * fix FTBFS in multiarch env (Closes: #673262) (LP: #1002291) 
    patch 0006-fix-runaway-regexp-in-in-cmake.patch

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Mon, 04 Jun 2012 17:35:01 +0200

mydumper (0.5.1-2) unstable; urgency=low

  * fixed watch file
  * updated standards version
  * patch 0005-zlib-file-type-change-fixes.patch added
    fix FTBFS from zlib > 1.2.4 (Closes: #662582) (LP: #948122)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Fri, 23 Mar 2012 17:27:57 +0100

mydumper (0.5.1-1ubuntu1) precise; urgency=low

  * Add 0005-multiarch.patch to handle syntax from
    `mysql_config --libs_r'. Fixes FTBFS.
  * Add 0006-deprecated-glib.patch updating deprecated GLib functions
    that now cause compiler errors. Fixes FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 15 Jan 2012 15:44:16 -0500

mydumper (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #648711)
  * This is my first Debian package, be gentle
  * Patched CMakeLists.txt so that generated config.h file is put in the
    sources dir, where it is expected during the build
  * Patched documenation CMakeLists.txt so that it won't install 
    documentation source files
  * Patch added to fix missing description in the manpages
  * Fixed typo in myloader

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Thu, 15 Nov 2011 11:26:38 +0100
