=== debian/control ===
Source: mydumper
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
Standards-Version: 3.9.3
Homepage: http://www.mydumper.org/
#Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary

Package: mydumper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Description: High-performance MySQL backup tool
 Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
 backup (and restore) toolset for MySQL and Drizzle.  The main developers
 originally worked as Support Engineers at MySQL (one has moved to
 Facebook and another to SkySQL) and this is how they would envisage
 mysqldump based on years of user feedback.
 .
 Mydumper features
 .
  Lightweight C source
  Up to 10x faster dumps compared to mysqldump
  Consistent snapshots for transactional and non-transactional tables
  File compression on-the-fly
  Binary log dumps
  Multi-threaded restore utility
  Daemon mode for timed snapshots and continuous binary logs
 .
 Mydumper is still under active development but is well tested/used in
 production on some large installations.
