=== debian/watch ===
version=3
https://launchpad.net/mydumper/+download https://launchpad.net/mydumper/.+/.+/\+download/mydumper-([0-9.]+)\.tar\.gz
