=== debian/changelog ===
mydumper (0.5.2-1) unstable; urgency=low

  * Imported Upstream version 0.5.2 (Closes: #707458)
  * removed patches merged by upstream

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Thu, 09 May 2013 12:08:05 +0200
