=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mydumper
 Section: database
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
+Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
 Standards-Version: 3.9.3
 Homepage: http://www.mydumper.org/
