=== debian/changelog ===
mydumper (0.6.1-1) unstable; urgency=medium

  * updated standards version
  * move sphinxdoc depends to recommends (Closes: #730443)
  * homepage updated (Closes: #714921)
  * explicitly tell CMAKE to link libm
    patch 0003-explicitly-link-libm.patch
  * Imported Upstream version 0.6.1 (Closes: #735851) (LP: #1270330)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Thu, 20 Mar 2014 01:17:43 +0100
