=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
-Standards-Version: 3.9.3
-Homepage: http://www.mydumper.org/
+Standards-Version: 3.9.5
+Homepage: https://launchpad.net/mydumper
 #Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary
 
 Package: mydumper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${sphinxdoc:Depends}
 Description: High-performance MySQL backup tool
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
  backup (and restore) toolset for MySQL and Drizzle.  The main developers
