=== debian/changelog ===
mydumper (0.9.1-2) unstable; urgency=medium

  * Depend on default-libmysqlclient-dev (Closes: #845877, #841607)
  * bump standards version to 3.9.8
  * Separate doc package to comply with standards 3.9.7
  * dh compat level bumped to 9
  * changed homepage and debian/watch to github

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Mon, 02 Jan 2017 15:40:34 +0100

mydumper (0.9.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Tue, 10 Nov 2015 17:59:57 +0100

mydumper (0.6.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.2 (Closes: #790640)
  * fix manpage inconsistencies (Closes: #773990) (LP: #1402381)
  * bump standards version to 3.9.6 (no changes needed)
  * allow uscan to verify upstream tarball

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Wed, 01 Jul 2015 13:54:15 +0200
