=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: database
 Priority: extra
 Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
-Standards-Version: 3.9.5
-Homepage: https://launchpad.net/mydumper
+Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-docutils
+Standards-Version: 3.9.8
+Homepage: https://github.com/maxbube/mydumper
 #Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary
 
 Package: mydumper
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${sphinxdoc:Depends}
+Suggests: mydumper-doc
 Description: High-performance MySQL backup tool
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
  backup (and restore) toolset for MySQL and Drizzle.  The main developers
@@ -31,3 +32,16 @@
  .
  Mydumper is still under active development but is well tested/used in
  production on some large installations.
+
+Package: mydumper-doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Section: doc
+Description: High-performance MySQL backup tool - documentation
+ Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
+ backup (and restore) toolset for MySQL and Drizzle.  The main developers
+ originally worked as Support Engineers at MySQL (one has moved to
+ Facebook and another to SkySQL) and this is how they would envisage
+ mysqldump based on years of user feedback.
+ .
+ This package contains documentation for mydumper generated by sphinx
