=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,11 @@
   message(WARNING "Unable to find Sphinx documentation generator")
   set(GENERATE_DOC FALSE)
 endif(NOT SPHINX_FOUND)
+
+if(SPHINX_MAJOR_VERSION LESS 1)
+  message(WARNING "Sphinx is older than v1.0, not building docs")
+  set(GENERATE_DOC FALSE)
+endif(SPHINX_MAJOR_VERSION LESS 1)
 
 if(GENERATE_DOC)
   # documentation tools
@@ -148,6 +153,4 @@
     ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}"
   )
 
-else(GENERATE_DOC)
-  message(WARNING "Missing python-sphinx documentation tools, docs will not be built")
 endif(GENERATE_DOC)
