=== debian/changelog ===
mydumper (0.9.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build doc with python3-sphinx; Closes: #943190

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 16:15:00 -0400

mydumper (0.9.5-1) unstable; urgency=medium

  * New upstream release (Closes: #897913)
  * Drop patches merged upstream:
    - 0003-explicitly-link-libm.patch
    - 0004-add-library-suffix-for-libatomic.patch
  * Include post-release ssl cmake flag fix

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 19 Dec 2018 10:17:53 +0100

mydumper (0.9.1-5) unstable; urgency=medium

  * add patch to FindMySQL cmake module to find libatomic when it's needed

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Wed, 18 Jan 2017 01:09:19 +0100

mydumper (0.9.1-4) unstable; urgency=medium

  * manpages are generated by Sphinx, so moving back python-sphinx
    to B-D (Closes: #851433)
  * Add a Breaks+Replaces relation to mydumper-doc since it replaces
    doc-base files from main package (Closes: #851221)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Sun, 15 Jan 2017 16:57:52 +0100

mydumper (0.9.1-3) unstable; urgency=medium

  * use sphinxdoc dh helper only in appropriate targets (Closes: #850847,
    #850969)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Wed, 11 Jan 2017 11:44:34 +0100
