=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: database
 Priority: extra
 Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev
-Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-docutils
+Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python3-sphinx, python3-docutils, libatomic1
 Standards-Version: 3.9.8
 Homepage: https://github.com/maxbube/mydumper
 #Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
@@ -36,6 +35,8 @@
 Package: mydumper-doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: mydumper (<< 0.9.1-2)
+Replaces: mydumper (<< 0.9.1-2)
 Section: doc
 Description: High-performance MySQL backup tool - documentation
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
