=== debian/changelog ===
mydumper (0.10.1-2ubuntu1) questing; urgency=medium

  * Sync with Debian (LP: #2103906). Remaining change:
    - Disable 0003-ssl-mariadb-connector.patch to fix build in Ubuntu
      where MySQL is used by default instead of MariaDB

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 16:55:55 -0400

mydumper (0.10.1-2) unstable; urgency=medium

  [ Lee Garrett ]
  * Fix CVE-2025-30224 (Closes: #1102002):
    - The MySQL C client library (libmysqlclient) allows authenticated remote
      actors to read arbitrary files from client systems via a crafted server
      response to LOAD LOCAL INFILE query, leading to sensitive information
      disclosure when clients connect to untrusted MySQL servers without
      explicitly disabling the local infile capability. Mydumper had the local
      infile option enabled by default and does not have an option to disable
      it. This can lead to an unexpected arbitrary file read if the Mydumper
      tool connects to an untrusted server.
  * Add autopkgtest integration tests
  * Add debian/gbp.conf

  [ Otto Kekäläinen ]
  * Apply `wrap-and-sort -vast` to make tracking changes easier in git
  * Add myself as maintainer (Closes: #1109991)
  * Replace outdated PCRE3 with modern PCRE2 (Closes: #1000014)
  * Add patch to make current MyDumper version compile with pcre2
  * Remove patches that are missing from debian/patches/series
  * Enable Salsa CI using default template
  * Clean up changelog

 -- Otto Kekäläinen <otto@debian.org>  Mon, 08 Sep 2025 13:01:35 -0700

mydumper (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
    - Drop debian/patches/0005-fix-cmake-define-ssl
  * Introduce debian/patches/0003-ssl-mariadb-connector.patch for
    libmariadb-dev SSL options compat.

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 09 Feb 2021 21:49:25 +0100

mydumper (0.9.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Link mydumper against libm. (Closes: #956020)

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 May 2020 20:14:50 +0300
