=== debian/control ===
--- 
+++ 
@@ -1,17 +1,31 @@
 Source: mydumper
 Section: database
 Priority: extra
-Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python3-sphinx, python3-docutils, libatomic1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Otto Kekäläinen <otto@debian.org>
+Build-Depends:
+ cmake,
+ debhelper (>= 9.0.0),
+ default-libmysqlclient-dev,
+ libatomic1,
+ libglib2.0-dev,
+ libpcre2-dev,
+ python3-docutils,
+ python3-sphinx,
+ quilt,
+ zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: https://github.com/maxbube/mydumper
-#Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/mydumper.git
+Vcs-Browser: https://salsa.debian.org/debian/mydumper
 
 Package: mydumper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: mydumper-doc
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ mydumper-doc,
 Description: High-performance MySQL backup tool
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
  backup (and restore) toolset for MySQL and Drizzle.  The main developers
@@ -34,9 +48,13 @@
 
 Package: mydumper-doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Breaks: mydumper (<< 0.9.1-2)
-Replaces: mydumper (<< 0.9.1-2)
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Breaks:
+ mydumper (<< 0.9.1-2),
+Replaces:
+ mydumper (<< 0.9.1-2),
 Section: doc
 Description: High-performance MySQL backup tool - documentation
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
