=== debian/tests/control ===
Tests:
 integration-test.sh,
Depends:
 default-mysql-server,
 @,
Restrictions:
 isolation-machine,
 needs-root,
